Api reference
Agents
Available Methods
Use the links below to view request/response examples and generated code for each method.
- GET/api/v1/experimental/agents
List workspace agents
- GET/api/v1/experimental/agents/{handle}
Get workspace agent
- GET/api/v1/experimental/agents/{handle}/chats
List agent chats
- GET/api/v1/experimental/agents/{handle}/chats/{chatId}
Get agent chat
- POST/api/v1/experimental/agents/{handle}/chats/{chatId}/messages
Send agent message
- POST/api/v1/experimental/agents
Create workspace agent
- PATCH/api/v1/experimental/agents/{handle}
Update workspace agent
- DELETE/api/v1/experimental/agents/{handle}
Delete workspace agent
Exchange agent login POST
Polls the agent login request using deviceCode and, once approved, issues a reusable workspace-scoped API key. The secret is returned once at apiKey.key, should be saved immediately, and should be reused for future HTTP API calls instead of re-running login.
List workspace agents GET
Lists agents for the resolved workspace. Session requests must send x-workspace-handle or x-workspace-id when the user has access to multiple workspaces.